Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.httpunit
Class WebForm.Scriptable

    java.lang.Object
      |
      +--com.meterware.httpunit.WebForm.Scriptable

All Implemented Interfaces:
  ScriptableObject

Enclosing class:
  WebForm

public class WebForm.Scriptable
extends Object
implements ScriptableObject

Constructor Summary
`WebForm.Scriptable()`

Method Summary
`Object` | `get(String propertyName)` Returns the value of the named property.
`String` | `getAction()`
`void` | `set(String propertyName, Object value)` Sets the value of the named property.
`void` | `setAction(String newAction)`
`void` | `setParameterValue(String name, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebForm.Scriptable

    public WebForm.Scriptable()

Method Detail

### getAction

    public String getAction()

### setAction

    public void setAction(String newAction)

### setParameterValue

    public void setParameterValue(String name,
                                  String value)

### set

    public void set(String propertyName,
                    Object value)

  Description copied from interface: `ScriptableObject`
  Sets the value of the named property. Will throw a runtime exception if the property does not exist or cannot accept the specified value.
  Specified by:
    `set` in interface `ScriptableObject`

### get

    public Object get(String propertyName)

  Description copied from interface: `ScriptableObject`
  Returns the value of the named property. Will throw a runtime exception if the property does not exist.
  Specified by:
    `get` in interface `ScriptableObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD